Not possible to set MDAL layer CRS

2018-08-10 02:53 PM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee: Peter Petrik

Category: Data Provider/MDAL

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27417

Description

It always resets itself to Invalid Projection.

History

#1 - 2018-08-27 10:17 AM - Richard Duivenvoorde

Just wanted to create an issue that a saved project with a mesh layer does not show the meshlayer anymore, when I saw this related issue)

And to add some info: if you load a valid grib file (like those found https://data.knmi.nl/datasets/harmonie_p1/0.2?q=grib here).

QGIS is happy to load and style it (setting the crs to epsg:4326).

Saving the QGIS project file is also ok, but upon re-opening that project file, you do not see the grib as layer anymore (nothing shown).

Setting the crs again, makes the grib show up.

Mmm, resaving the project again, seems to at least show the mesh layer... but still set's the crs to 'Invalid Projection'.

Other observations:

- pretty sure I saved the project without showing the mesh grid, but upon opening (setting the crs) it shows the mesh grid again

- rendering seems to be done on 1 thread? My laptop is pretty busy with that grib.

#2 - 2018-09-25 05:51 AM - Nyall Dawson

- Status changed from Open to Feedback

This is fixed now, right?

#3 - 2018-09-25 02:06 PM - Peter Petrik

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

fixed in https://github.com/qgis/QGIS/pull/7980
